# Poco::Net

# class CertificateHandlerFactoryRegistrar

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/CertificateHandlerFactory.h

## Description

Registrar class which automatically registers CertificateHandlerFactory at the CertificateHandlerFactoryMgr. You don't need to access this class directly. Use the macro

    POCO_REGISTER_CHFACTORY(namespace, InvalidCertificateHandlerName)

instead (see the documentation of InvalidCertificateHandler for an example).

## Constructors

### CertificateHandlerFactoryRegistrar

CertificateHandlerFactoryRegistrar(
const std::string & name,
CertificateHandlerFactory * pFactory
);

Registers the CertificateHandlerFactory with the given name at the factory manager.

## Destructor

### ~CertificateHandlerFactoryRegistrar

virtual ~CertificateHandlerFactoryRegistrar();

Destroys the CertificateHandlerFactoryRegistrar.